/**
 * @file
 * Vue-cart index.js.
 */

var apps = [];

const delimiters = ["${", "}"];
const comments = true;

const store = Vuex.createStore({
  state: {
    cart: {
      items: {},
      quantity: 0,
      total: 0,
    },
    favorite: {
      total: 0,
    },
    color: 0,
  },
  mutations: {
    updateCart(state, cart) {
      state.cart = cart;
    },
    updateColor(state, color) {
      state.color = color;
    },
    updateFavorite(state, fav) {
      state.favorite = fav;
    },
  },
});
